<?php if(! WsdUtil::canLoad()) { return; } ?>


<div class="">
    <blockquote>
        <p><?php echo __('База данных WordPress содержит в себе каждый пост, каждый комментарий, и каждую ссылку, которую вы имеете на вашем блоге. Если ваша база данных будет удалена или повреждена, вы можете потерять все, что написали. Есть много причин, почему это может произойти, и не все эти вещи, вы можете контролировать. Но то, что вы вы всегда можете сделать, это<strong>резервное копирование данных</strong>.'); ?></p>
        <p style="text-align: right;"><cite><a href="http://codex.wordpress.org/WordPress_Backups" target="_blank">Wordpress</a></cite></p>
    </blockquote>
</div>

<?php
/*
 * Check if the backups directory is writable
 *======================================================
 */
if (is_dir(WPS_PLUGIN_BACKUPS_DIR) && is_writable(WPS_PLUGIN_BACKUPS_DIR)) :
?>

<?php
    if ($_SERVER['REQUEST_METHOD'] == 'POST')
    {
        if (isset($_POST['wsd_db_backup']))
        {
            if (function_exists('wp_nonce_field')) {
                check_admin_referer('wpss-backup-database-nonce');
            }
            if ('' <> ($fname = WsdUtil::backupDatabase())) {
                echo '<p class="acx-info-box">';
					echo '<span>',__('Резервное копирование базы данных прошло успешно!'),'</span>';
					echo '<br/><span>',__('Скачать файл резервной копии'),': </span>';
					echo '<a href="',WPS_PLUGIN_URL.'res/backups/',$fname,'" style="color:#000">',$fname,'</a>';
                echo '</p>';
            }
            else {
                echo '<p class="acx-info-box">';
					echo __('База данных не может быть сохранена!');
					echo '<br/>',__("Возможно ошибка может быть, связана с правами для каталога резервных копий!");
                echo '</p>';
            }
        }
    }
?>
<div class="acx-section-box">
    <form action="#bckdb" method="post">
        <?php if (function_exists('wp_nonce_field')) { wp_nonce_field('wpss-backup-database-nonce'); } ?>
        <input type="hidden" name="wsd_db_backup"/>
        <input type="submit" class="button-primary" name="backupDatabaseButton" value="<?php echo __('Резервное копирование в настоящее время!');?>"/>
    </form>
</div>

<?php else : //!! The directory is not writable. Display the info message

	echo '<p class="acx-info-box">';
		printf(__('<strong>Внимание!</strong>: Элемент <code title="%s">резервные копии</code> каталог <strong>должен</strong> ыть доступен для записи для того, чтобы использовать эту функцию!')
            ,WPS_PLUGIN_DIR.'res/backups');
	echo '</p>';
endif; ?>